6.0.0-git
2019-06-16

[#11664] Horde ignores custom mysql groups setup
Summary Horde ignores custom mysql groups setup
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester Steffen.Petrick (at) gmx (dot) de
Created 2012-11-07 (2412 days ago)
Due
Updated 2017-10-20 (604 days ago)
Assigned 2016-01-18 (1245 days ago)
Resolved 2016-01-18 (1245 days ago)
Milestone
Patch No

History
2017-10-20 20:33:44 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 1945f39f3b5bbb893e4266c1735c40c2e2601a43
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 18 Jan 2016 18:04:16 +0100

[jan] Fix custom database configuration for groups (Bug #11664).

  M docs/CHANGES
  M package.xml

https://github.com/horde/base/commit/1945f39f3b5bbb893e4266c1735c40c2e2601a43
2017-10-20 20:33:44 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 16e9ab564354357b7f0f0fdee415b681bdd00817
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 18 Jan 2016 18:03:05 +0100

Fix custom DB configuration for groups (Bug #11664).

  M config/conf.xml

https://github.com/horde/base/commit/16e9ab564354357b7f0f0fdee415b681bdd00817
2016-01-18 17:04:39 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 2f0a617b24c57c2cd82e8ab441dfbe64b9b9d5b8
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 18:04:16 2016 +0100

     [jan] Fix custom database configuration for groups (Bug #11664).

  horde/docs/CHANGES |    1 +
  horde/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/2f0a617b24c57c2cd82e8ab441dfbe64b9b9d5b8
2016-01-18 17:04:33 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit c5d3476bea11a590669e26ae8492c1240a5d3de8
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 17:59:56 2016 +0100

     Fix custom DB configuration for groups (Bug #11664).

  horde/config/conf.xml |    4 +++-
  1 files changed, 3 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/c5d3476bea11a590669e26ae8492c1240a5d3de8
2016-01-18 17:00:25 Jan Schneider Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2016-01-18 17:00:17 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 2bf4783d5b8296d026d13c24a194594541e7543c
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 17:59:56 2016 +0100

     Fix custom DB configuration for groups (Bug #11664).

  horde/config/conf.xml |    4 +++-
  1 files changed, 3 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/2bf4783d5b8296d026d13c24a194594541e7543c
2016-01-18 16:00:58 Jan Schneider Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Confirmed
2012-11-07 08:47:21 Steffen (dot) Petrick (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Horde ignores custom mysql groups setup
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
conf.php:

...
$conf['sql']['persistent'] = true;
$conf['sql']['username'] = 'horde5';
$conf['sql']['password'] = 'XXXXXX';
$conf['sql']['hostspec'] = 'dbhorde5';
$conf['sql']['port'] = 3306;
$conf['sql']['protocol'] = 'tcp';
$conf['sql']['database'] = 'horde5';
$conf['sql']['charset'] = 'utf-8';
$conf['sql']['ssl'] = false;
$conf['sql']['splitread'] = false;
$conf['sql']['phptype'] = 'mysql';
...
$conf['group']['username'] = 'mygroups';
$conf['group']['password'] = 'XXXXXX';
$conf['group']['hostspec'] = 'rauth-mysql';
$conf['group']['port'] = 3306;
$conf['group']['protocol'] = 'tcp';
$conf['group']['database'] = 'grouptest';
$conf['group']['charset'] = 'utf-8';
$conf['group']['ssl'] = false;
$conf['group']['splitread'] = false;
$conf['group']['phptype'] = 'mysqli';
$conf['group']['driverconfig'] = 'custom';
$conf['group']['driver'] = 'Sql';

When I removed the horde_groups* tables in the horde5 database, the 
following error message come from Horde group setup:

A fatal error has occurred
SQLSTATE[42S02]: Base table or view not found: 1146 Table 
'horde5.horde_groups' doesn't exist

1. Horde_Group_Sql->listAll() /var/www/horde5/admin/groups.php:169
2. Horde_Group_Sql->listAll() /var/www/horde5/admin/groups.php:169
3. Horde_Db_Adapter_Pdo_Base->selectAssoc() 
/usr/share/php/Horde/Group/Sql.php:219
4. Horde_Db_Adapter_Base->execute() 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php:143
5. Horde_Group_Sql->listAll() /var/www/horde5/admin/groups.php:169
6. Horde_Db_Adapter_Pdo_Base->selectAssoc() 
/usr/share/php/Horde/Group/Sql.php:219
7. Horde_Db_Adapter_Base->execute() 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php:143
8. PDO->query() /usr/share/php/Horde/Db/Adapter/Base.php:551

Details
The full error message is logged in Horde's log file, and is shown 
below only to administrators. Non-administrative users will not see 
error details.

Horde_Group_Exception Object
(
     [details] =>
     [logged] => 1
     [_logLevel:protected] => 0
     [message:protected] => SQLSTATE[42S02]: Base table or view not 
found: 1146 Table 'horde5.horde_groups' doesn't exist
     [string:Exception:private] =>
     [code:protected] => 42
     [file:protected] => /usr/share/php/Horde/Group/Sql.php
     [line:protected] => 221
     [trace:Exception:private] => Array
         (
             [0] => Array
                 (
                     [file] => /var/www/horde5/admin/groups.php
                     [line] => 169
                     [function] => listAll
                     [class] => Horde_Group_Sql
                     [type] => ->
                     [args] => Array
                         (
                         )

                 )

         )

     [previous:Exception:private] => Horde_Db_Exception Object
         (
             [details] =>
             [logged] =>
             [_logLevel:protected] => 0
             [message:protected] => SQLSTATE[42S02]: Base table or 
view not found: 1146 Table 'horde5.horde_groups' doesn't exist
             [string:Exception:private] =>
             [code:protected] => 42
             [file:protected] => /usr/share/php/Horde/Db/Adapter/Base.php
             [line:protected] => 555
             [trace:Exception:private] => Array
                 (
                     [0] => Array
                         (
                             [file] => 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php
                             [line] => 143
                             [function] => execute
                             [class] => Horde_Db_Adapter_Base
                             [type] => ->
                             [args] => Array
                                 (
                                     [0] => SELECT group_uid, 
group_name FROM horde_groups
                                     [1] =>
                                     [2] =>
                                 )

                         )

                     [1] => Array
                         (
                             [file] => /usr/share/php/Horde/Group/Sql.php
                             [line] => 219
                             [function] => selectAssoc
                             [class] => Horde_Db_Adapter_Pdo_Base
                             [type] => ->
                             [args] => Array
                                 (
                                     [0] => SELECT group_uid, 
group_name FROM horde_groups
                                 )

                         )

                     [2] => Array
                         (
                             [file] => /var/www/horde5/admin/groups.php
                             [line] => 169
                             [function] => listAll
                             [class] => Horde_Group_Sql
                             [type] => ->
                             [args] => Array
                                 (
                                 )

                         )

                 )

             [previous:Exception:private] => PDOException Object
                 (
                     [message:protected] => SQLSTATE[42S02]: Base 
table or view not found: 1146 Table 'horde5.horde_groups' doesn't exist
                     [string:Exception:private] =>
                     [code:protected] => 42S02
                     [file:protected] => 
/usr/share/php/Horde/Db/Adapter/Base.php
                     [line:protected] => 551
                     [trace:Exception:private] => Array
                         (
                             [0] => Array
                                 (
                                     [file] => 
/usr/share/php/Horde/Db/Adapter/Base.php
                                     [line] => 551
                                     [function] => query
                                     [class] => PDO
                                     [type] => ->
                                     [args] => Array
                                         (
                                             [0] => SELECT group_uid, 
group_name FROM horde_groups
                                         )

                                 )

                             [1] => Array
                                 (
                                     [file] => 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php
                                     [line] => 143
                                     [function] => execute
                                     [class] => Horde_Db_Adapter_Base
                                     [type] => ->
                                     [args] => Array
                                         (
                                             [0] => SELECT group_uid, 
group_name FROM horde_groups
                                             [1] =>
                                             [2] =>
                                         )

                                 )

                             [2] => Array
                                 (
                                     [file] => 
/usr/share/php/Horde/Group/Sql.php
                                     [line] => 219
                                     [function] => selectAssoc
                                     [class] => Horde_Db_Adapter_Pdo_Base
                                     [type] => ->
                                     [args] => Array
                                         (
                                             [0] => SELECT group_uid, 
group_name FROM horde_groups
                                         )

                                 )

                             [3] => Array
                                 (
                                     [file] => /var/www/horde5/admin/groups.php
                                     [line] => 169
                                     [function] => listAll
                                     [class] => Horde_Group_Sql
                                     [type] => ->
                                     [args] => Array
                                         (
                                         )

                                 )

                         )

                     [previous:Exception:private] =>
                     [errorInfo] => Array
                         (
                             [0] => 42S02
                             [1] => 1146
                             [2] => Table 'horde5.horde_groups' doesn't exist
                         )

                 )

         )

)


Steffen Petrick
TU Dresden


Saved Queries